<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SurveyGlowPills',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      screenSize: 0,
    };
  },
  mounted() {
    this.handleResize();
  },
  methods: {
    handleResize() {
      this.screenSize = window.innerWidth;
    },
  },
});
</script>

<template>
  <section class="survey-glow-pills">
    <SlpContainer>
      <div
        :data-aos="data.aos_animation"
        :data-aos-duration="data.aos_duration"
        :data-aos-offset="data.aos_offset"
      >
        <SlpRow class="survey-glow-pills">
          <div
            v-for="(pill, pillIndex) in data.pills"
            :id="`pill-${pillIndex}`"
            :key="pillIndex"
          >
            <div
              v-if="pill.description"
              class="survey-glow-pills__two-lines-pill"
              :class="pill.color"
              :style="screenSize > 700 ? `width: ${pill.width}px` : ''"
            >
              <h5>{{ pill.title }}</h5>
              <span>{{ pill.description }}</span>
            </div>
            <div
              v-else
              class="survey-glow-pills__one-line-pill"
              :class="pill.color"
            >
              <h5>{{ pill.title }}</h5>
            </div>
          </div>
        </SlpRow>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.survey-glow-pills {
  display: flex;
  text-align: center;
  justify-content: center;
  gap: $spacing-24;
  align-items: center;
  margin-bottom: $spacing-64;

  h5 {
    font-family: 'GitLab Mono', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 36px;

    @media (min-width: $breakpoint-md) {
      font-size: 28px;
      line-height: 42px;
    }
  }
  span {
    font-family: 'GitLab Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;

    @media (min-width: $breakpoint-md) {
      font-size: 18px;
      line-height: 24px;
    }
  }
  &__two-lines-pill {
    padding: $spacing-8 $spacing-24;
    border: 2px solid;
    border-radius: $border-radius-pill;

    @media (min-width: $breakpoint-md) {
      padding: $spacing-24 $spacing-48;
    }
  }
  &__one-line-pill {
    padding: $spacing-16 $spacing-24;
    border: 2px solid;
    border-radius: $border-radius-pill;
  }
  .green {
    border-color: #67cfb7;
    box-shadow: 0px 0px 32px rgba(90, 213, 176, 0.6);
  }

  .red {
    border-color: #e24329;
    box-shadow: 0px 0px 32px rgba(226, 67, 41, 0.6);
  }

  .yellow {
    border-color: #fca121;
    box-shadow: 0px 0px 32px rgba(252, 161, 33, 0.6);
  }

  .purple {
    border-color: #a989f5;
    box-shadow: 0px 0px 32px rgba(169, 137, 245, 0.6);
  }
}
</style>
